
import {fetchBase} from '@/api/doctor/doctorFetch'

// 保存主要慢病随访
export function saveHighMajorVisit(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-high-visit-major/save`,body: params})
}
// 修改主要慢病随访
export function updateHighMajorVisit(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-high-visit-major/update`,body: params})
}

//查询主要慢病随访
export function getHighMajorVisitId(id) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-high-visit-major/record`,body:{"id":id},loading: true})
}
//删除主要慢病随访
export function deleteHighMajorVisit(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-high-visit-major/delete`,body: params})
}

// 保存专病随访
export function saveHighSpecificVisit(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-high-visit-specific/save`,body: params})
}

// 修改专病随访
export function updateHighSpecificVisit(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-high-visit-specific/update`,body: params})
}

//查询专病随访
export function getHighSpecificVisitId(id) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-high-visit-specific/record`,body:{"id":id},loading: true})
}

//删除专病随访
export function deleteHighSpecificVisit(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-high-visit-specific/delete`,body: params})
}

//查询最近一次专病高危随访
export function getLastHighSpecificVisit(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-high-visit-specific/last-info`, body: params, loading: true})
}

//删除高危随访
export function delHighVisit(params) {
    return fetchBase({ url: `/chronic-admin/v1/chronic-high-visit-collect/delete`,body: params})
}