/**
 * itemType 表单类型 input || select || inputSelect
 * pattern 校验正则
 */
// export const inspectConfig = [
//     { id: 1, insType: 1, insName: '血常规', itemCode: 'wbc', itemName: '白细胞计数(WBC)', unit: '10^9/L', sort: 1, itemType: 'input',
//         pattern: /^(?:0(?:\.\d{1,3})?|[1-9]\d{0,1}(?:\.\d{1,3})?|100)$/, message: '请输入0-100之间的数字，最多3位小数' },
//     { id: 2, insType: 1, insName: '血常规', itemCode: 'hgb', itemName: '血红蛋白(HGB)', unit: 'g/L', sort: 2, itemType: 'input',
//         pattern: /^(?:0(?:\.\d{1,3})?|[1-4]\d{0,2}(?:\.\d{1,3})?|500)$/, message: '请输入0-500之间的数字，最多3位小数' },
//     { id: 3, insType: 1, insName: '血常规', itemCode: 'plt', itemName: '血小板计数(PLT)', unit: '10^9/L', sort: 3, itemType: 'input',
//         pattern: /^(?:0(?:\.\d{1,3})?|[1-9]\d{0,2}(?:\.\d{1,3})?|1000)$/, message: '请输入0-1000之间的数字，最多3位小数' },
//     { id: 4, insType: 2, insName: '尿常规', itemCode: 'pro', itemName: '尿蛋白(PRO)', unit: '', sort: 4, itemType: 'inputSelect', dict: 'MY001' },
//     { id: 5, insType: 2, insName: '尿常规', itemCode: 'GLU-nt', itemName: '尿糖(GLU-nt)', unit: '', sort: 5, itemType: 'inputSelect', dict: 'MY001' },
//     { id: 6, insType: 2, insName: '尿常规', itemCode: 'KET', itemName: '尿酮体(KET)', unit: '', sort: 6, itemType: 'inputSelect', dict: 'MY001' },
//     { id: 6, insType: 2, insName: '尿常规', itemCode: 'BLD', itemName: '尿潜血(BLD)', unit: '', sort: 7, itemType: 'inputSelect', dict: 'MY001' },
//     { id: 6, insType: 2, insName: '尿常规', itemCode: 'mAlb', itemName: '尿微量白蛋白测定(mAlb)', unit: 'mg/dl', sort: 7, itemType: 'input',
//         pattern: /^(?:0(?:\.\d{1,3})?|[1-9]\d{0,1}(?:\.\d{1,3})?|100)$/, message: '请输入0-100之间的数字，最多3位小数' }
// ]

// 不同慢病对应的检验
export const inspectDefault = (disease) => {
    const config = {
        // 高血压
        1: [1, 2, 3, 4, 5, 6, 12, 14],
        // 糖尿病
        2: [8, 9, 10, 11, 12],
        // 冠心病
        3: [1, 3, 7, 32],
        // 脑卒中
        4: [],
        // 慢性阻塞性肺疾病	
        5: [3, 4, 5, 6, 13, 15, 16],
        // 慢性肾病
        6: [2, 3, 4, 5, 6, 12, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31],
        // 血脂异常
        7: [5], 
    }
    return config[disease] || []
}

// 不同慢病对应的检验
export const checkDefault = (disease) => {
    const config = {
        // 高血压
        1: [1, 5, 6, 7, 8, 9],
        // 糖尿病
        2: [9, 10, 11],
        // 冠心病
        3: [5, 12, 13],
        // 脑卒中
        4: [4, 14],
        // 慢性阻塞性肺疾病	
        5: [1, 2, 5, 16, 17],
        // 慢性肾病
        6: [3, 19],
        // 血脂异常
        7: [], 
    }
    return config[disease] || []
}
